View Issue Details

IDProjectCategoryView StatusLast Update
0032977CommunityOCCT:Data Exchangepublic2022-10-17 17:11
Reportereaglor Assigned Tobugmaster  
PrioritynormalSeveritymajor 
Status reviewedResolutionopen 
PlatformWindowsOSVC++ 2017 
Product Version7.6.0 
Summary0032977: OCC V7.5, V7.6 cannot read STEP color correctly for the root label, but v6.8 can
DescriptionIn the OCC V7.5 VCC7.6 the color for the model root label doesn't translate as the same as in OCC V6.8
In the attached model the root label (0:1:1:1) refers to different color

Dump info in OCC7.6
# 12 (label: 0:1:1:1)
        TDataStd_TreeNode Trans. 0; Valid; ID = efd212e5-6dfd-11d4-b9c8-0060b0ee281b
  Father=0:1:2:2 Previous=0:1:1:1:159 Next=0:1:1:1:169

# 482 (label: 0:1:2:2)
        TDataStd_Name Trans. 0; Valid; ID = 2a96b608-ec8b-11d0-bee7-080009dc3333
 Name=|LIGHTSTEELBLUE2 (#96A2DAFF)|2a96b608-ec8b-11d0-bee7-080009dc3333

Dump info in OCC6.8
# 14 (label: 0:1:1:1)
        TDataStd_TreeNode Trans. 0; Valid; ID = efd212e5-6dfd-11d4-b9c8-0060b0ee281b
  Father=0:1:2:4

# 490 (label: 0:1:2:4)
        TDataStd_Name Trans. 0; Valid; ID = 2a96b608-ec8b-11d0-bee7-080009dc3333
 Name=|GRAY25 (0.25098,0.25098,0.25098)|

Steps To ReproduceRead the STEP file in OCC6.8 and OCC7.6, dump the color for the label(label: 0:1:1:1).
TagsNo tags attached.
Test case number

Attached Files

  • TVN_5-0911WI.step (1,390,725 bytes)
  • image.png (62,866 bytes)
  • Step_Correct_Color.png (87,558 bytes)
  • rec_prac_styling_org_v19.pdf (898,561 bytes)

Activities

eaglor

2022-05-16 23:43

reporter   ~0108458

TVN_5-0911WI.step (1,390,725 bytes)

kgv

2022-05-17 12:57

developer   ~0108465

@eaglor, please attach reference screenshots with expected / unexpected colors for comparison.
image.png (62,866 bytes)

eaglor

2022-05-17 20:19

reporter   ~0108477

@kgv please comare with correct color in OCC6.8
Step_Correct_Color.png (87,558 bytes)

gka

2022-09-08 10:57

developer   ~0110849

rec_prac_styling_org_v19.pdf (898,561 bytes)

git

2022-10-11 15:53

administrator   ~0111491

Branch CR32977 has been created by ona.

SHA-1: c630a3fdab41da4e4902985ea5df3c7ff8a9fc4d


Detailed log of new commits:

Author: ona
Date: Tue Oct 11 15:43:39 2022 +0300

    0032977 OCC V7.5, V7.6 cannot read STEP color correctly for the root label, but v6.8 can
    
    - color overriding mechanism is implemented for assembles, parts and instances

git

2022-10-11 16:17

administrator   ~0111495

Branch CR32977 has been updated forcibly by ona.

SHA-1: 2868af82a37e1ca8d10b00643fdd60b677717506

git

2022-10-11 16:52

administrator   ~0111497

Branch CR32977 has been updated forcibly by ona.

SHA-1: 1cd41ececc909e4c8de0ff83ca1ef01e72ed5945

git

2022-10-12 07:43

administrator   ~0111510

Branch CR32977 has been updated forcibly by ona.

SHA-1: 96b6c48ffa49dffa9ab5689c97d52d87da8e4f92

git

2022-10-12 22:09

administrator   ~0111531

Branch CR32977 has been updated forcibly by ona.

SHA-1: ea344355b860f6ba14470b71e58267573a040b8d

git

2022-10-12 23:45

administrator   ~0111532

Branch CR32977 has been updated forcibly by ona.

SHA-1: e904c50200405e2905b3b4e8c7f8abfc14f1fbb3

git

2022-10-13 10:00

administrator   ~0111534

Branch CR32977 has been updated forcibly by ona.

SHA-1: d0230d83ba5fcde1c6cce1d3ae75e1b763a20d9d

git

2022-10-13 14:09

administrator   ~0111549

Branch CR32977 has been updated forcibly by ona.

SHA-1: 28612d56c4e13623b875dd49d486d2332cd0b235

git

2022-10-13 14:12

administrator   ~0111550

Branch CR32977 has been updated forcibly by ona.

SHA-1: 93c5c00441dd16f913f500a7ef0a70cbb72be152

gka

2022-10-14 11:47

developer   ~0111571

Branch CR32977 has been reviewed.

gka

2022-10-14 13:21

developer   ~0111576

Dear Olga.

Could you please replace lambda functions by static functions and add cosmetic header :

//=======================================================================
//function :
//purpose :
//=======================================================================

git

2022-10-14 16:14

administrator   ~0111582

Branch CR32977 has been updated forcibly by ona.

SHA-1: 5fe0b22d04c59b32b1f93d8eaebdd3f5c8bbc2c6

git

2022-10-14 18:16

administrator   ~0111585

Branch CR32977 has been updated by ona.

SHA-1: bee0ff2fbf5717ad65e0b1f55ed6f8ac8f67aecc


Detailed log of new commits:

Author: ona
Date: Fri Oct 14 18:16:05 2022 +0300

    0032977: OCC V7.5, V7.6 cannot read STEP color correctly for the root label, but v6.8 can
    
    - redundant include is removed

git

2022-10-14 18:20

administrator   ~0111586

Branch CR32977 has been updated forcibly by ona.

SHA-1: 0fc33c18ed223a6578e3fad5d82b224b7955e171

git

2022-10-14 18:56

administrator   ~0111587

Branch CR32977 has been updated forcibly by ona.

SHA-1: 7576a34f1ae4129a28e08854c13a6252c5580fc8

gka

2022-10-17 17:11

developer   ~0111603

Branch CR32977 was reviewed

Issue History

Date Modified Username Field Change
2022-05-16 23:42 eaglor New Issue
2022-05-16 23:42 eaglor Assigned To => gka
2022-05-16 23:43 eaglor Note Added: 0108458
2022-05-16 23:43 eaglor File Added: TVN_5-0911WI.step
2022-05-17 10:30 msv Assigned To gka => ichesnokova
2022-05-17 10:30 msv Status new => assigned
2022-05-17 12:57 kgv Note Added: 0108465
2022-05-17 12:57 kgv File Added: image.png
2022-05-17 20:19 eaglor Note Added: 0108477
2022-05-17 20:19 eaglor File Added: Step_Correct_Color.png
2022-09-08 10:56 gka Assigned To ichesnokova => ona
2022-09-08 10:57 gka Note Added: 0110849
2022-09-08 10:57 gka File Added: rec_prac_styling_org_v19.pdf
2022-10-11 15:53 git Note Added: 0111491
2022-10-11 16:17 git Note Added: 0111495
2022-10-11 16:52 git Note Added: 0111497
2022-10-12 07:43 git Note Added: 0111510
2022-10-12 22:09 git Note Added: 0111531
2022-10-12 23:45 git Note Added: 0111532
2022-10-13 10:00 git Note Added: 0111534
2022-10-13 14:09 git Note Added: 0111549
2022-10-13 14:12 git Note Added: 0111550
2022-10-13 15:20 ona Assigned To ona => gka
2022-10-13 15:20 ona Status assigned => resolved
2022-10-14 11:47 gka Assigned To gka => bugmaster
2022-10-14 11:47 gka Status resolved => reviewed
2022-10-14 11:47 gka Note Added: 0111571
2022-10-14 13:21 gka Note Added: 0111576
2022-10-14 16:14 git Note Added: 0111582
2022-10-14 16:16 gka Assigned To bugmaster => ona
2022-10-14 16:16 gka Status reviewed => assigned
2022-10-14 18:16 git Note Added: 0111585
2022-10-14 18:17 ona Assigned To ona => gka
2022-10-14 18:17 ona Status assigned => resolved
2022-10-14 18:20 git Note Added: 0111586
2022-10-14 18:56 git Note Added: 0111587
2022-10-17 17:11 gka Assigned To gka => bugmaster
2022-10-17 17:11 gka Status resolved => reviewed
2022-10-17 17:11 gka Note Added: 0111603